PDA

View Full Version : PHP Downloads



testingjeff
10-03-2008, 08:21 PM
:eek: :confused:

I have downloaded PHP Version 5.2.6 Win 32 multiple times in Windows Vista and have walked thru the config with no problems. However, whenever I do <?php phpinfo(); ?> IT SHOWS UP AS PHP Version 4.3.11.... Can someone tell me how this can happen and how I can fix this issue ???? This is throwing me for a loop. I've deleted and reinstalled at least three times. Please help me.....I'm going stir crazy over this.

djr33
10-03-2008, 10:54 PM
Unfortunately, I have no idea what is wrong.
I can tell you, though, that you are either (or both) not uninstalling it fully or not installing it fully. Something is left over.
You might just try doing it another way, such as downloading a different installer.
Also, uninstall, then run a PHP page. If it still is parsed (at all) then you did not fully uninstall it. If it doesn't, then you install the new one and it isn't "new", then something is wrong with that, I'd say. Maybe it's just labeled wrong, though unlikely.

thetestingsite
10-03-2008, 11:29 PM
In addition to what Daniel posted, you may want to double (or even triple) check that you are in fact downloading the correct version. If all else fails, contact the PHP team (http://www.php.net) and see if they can help you further.

Hope this helps.

Twey
10-04-2008, 09:01 AM
Before contacting the PHP team directly, you may have some luck asking on ##php on Freenode.

testingjeff
10-05-2008, 12:03 AM
Thanks for the feedback. :)

Once again, I've removed every known php file (including the .php files for my site which I transferred to a temporary wand) off of my computer. I've unistalled php VER 5.2.6 again in Vista/Control Panel/Programs & Features. I've scanned for viruses, rebooted, and checked phpinfo() again.

I'm still getting parsed as php VER 4.3.11 with the config completely different than the way I configured in php.ini. This happened WITH NO PHP ON MY COMPUTER. PHP VER 4.3.11 was not even an option for me when I downloaded php VER 5.2.6. According to php.net, VER 4.3.11 was launched in 2005 pre php 5.1. At the time I downloaded there were only two options php VER 5.2.6 and php VER 4.4.9.

I'm using the command line to install. Could this be my problem???

But like I said, install is going fine. It the outcome that's not making sense.

At the time of downloaded php VER 5.2.6 I had to agree to a licence. Could this have had something attached to it to cause this kind of a problem?

This problem is approaching 10 days... Please help.

Twey
10-05-2008, 09:45 AM
At the risk of sounding a tad cliché, I'm going to recommend that you move to Linux. Apache has much better support on UNIX-like operating systems, and configuration in general is a lot simpler (no registry and other weird binary files that might or might not contain a reference to an old version).

testingjeff
10-05-2008, 12:12 PM
Twey,

Thanks, that actually sounds like a good idea. I've not used Linux before but I'll give it a try. I'll repost afterwards.

Jeff